Skip to main content
GET
List work orders

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Query Parameters

page
integer
default:1

Page number to retrieve.

limit
integer
default:25

Number of records per page.

sort_by
string

Field to sort the results by.

sort_direction
enum<string>

Direction to sort the results.

Available options:
asc,
desc

Free-text search across work orders.

status
string

Comma-separated list of statuses to filter by (e.g. status=draft,in_progress; status[]=... and status[in]=... are equivalent). Use status[notin]=... to exclude work orders in the listed statuses instead (e.g. status[notin]=completed,cancelled).

produced_sku_id
integer

Filter by the SKU being produced.

vendor_name
string

Filter by vendor name.

production_warehouse_id
integer

Filter by the production warehouse.

destination_warehouse_id
integer

Filter by the destination warehouse.

work_order_number
string

Filter by work order number.

alternate_id
string

Filter by alternate identifier.

Response

200 - application/json

Successful response

data
object[]
meta
object